curl --request GET \
--url https://api-sandbox.synctera.com/v0/external_cards/transfers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/external_cards/transfers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/external_cards/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"external_transfers": [
{
"account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"amount": 123,
"country_code": "US",
"created_time": "2010-05-06T12:23:34.321Z",
"currency": "USD",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"external_card_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"id": "<string>",
"last_modified_time": "2010-05-06T12:23:34.321Z",
"merchant": {
"address": {
"address_line_1": "100 Main St.",
"city": "New York",
"country_code": "US",
"postal_code": "49633",
"state": "NY",
"address_line_2": "Suite 99"
},
"name": "<string>",
"email": "alice@example.com",
"phone_number": "+14374570680"
},
"status": "CANCELED",
"type": "PULL",
"network_decline_details": "<string>",
"reason": "<string>",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"three_ds_id": "40e2de9e-4375-4fa1-9393-92da972a9338"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}List External Card Transfers
Get a paginated list of External Card Transfers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Type of operation for transfer.
| Type | Description |
|---|---|
| PUSH | Push fund to the external card from the account_id |
| PULL | Pull funds from the external card to the account_id |
| PULL_REVERSAL | Reversed pull funds transfer from an external card |
PULL, PULL_REVERSAL, PUSH The status of the transfer
CANCELED, DECLINED, PENDING, SUCCEEDED, UNKNOWN The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
"a8937a0d"
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
x >= 1100
Response
External Card Transfer list
Array of External transfer
Pull funds from an External Card
- Pull Response
- Push Response
Show child attributes
Show child attributes
If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.
"a8937a0d"
Was this page helpful?

